#ifndef WIMAJOINEDAREA_H
#define WIMAJOINEDAREA_H

#include <QObject>

#include "WimaArea.h"

class WimaJoinedArea : public WimaArea
{
    Q_OBJECT
public:
    WimaJoinedArea(QObject* parent = nullptr);
    WimaJoinedArea(const WimaJoinedArea& other, QObject* parent = nullptr);

    WimaJoinedArea &operator=(const WimaJoinedArea &other);

    // Overrides from WimaPolygon
    QString         mapVisualQML    (void) const { return "WimaJoinedAreaMapVisual.qml";}
    QString         editorQML       (void) const { return "";}

    // Methodes
    void                saveToJson     (QJsonObject& json);
    bool                loadFromJson   (const QJsonObject& json, QString& errorString);

    // static Members
    static const char* WimaJoinedAreaName;

    // Friends
    friend void print(const WimaJoinedArea& area, QString& outputString);
    friend void print(const WimaJoinedArea& area);

signals:

public slots:

private:
    void init();
};

#endif // WIMAJOINEDAREA_H
